org.eclnt.jsfserver.elements.componentnodes

## Class SYSTEMTRAYMENUITEMNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SYSTEMTRAYMENUITEMNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SYSTEMTRAYMENUITEMNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SYSTEMTRAYMENUITEMNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SYSTEMTRAYMENUITEMNode` | `bindActionListener(IActionListenerDelegation value)`
    `SYSTEMTRAYMENUITEMNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `SYSTEMTRAYMENUITEMNode` | `bindComment(IDynamicContentBindingObject value)`
    `SYSTEMTRAYMENUITEMNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SYSTEMTRAYMENUITEMNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `SYSTEMTRAYMENUITEMNode` | `bindRendered(IDynamicContentBindingObject value)`
    `SYSTEMTRAYMENUITEMNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SYSTEMTRAYMENUITEMNode` | `bindText(IDynamicContentBindingObject value)`
    `SYSTEMTRAYMENUITEMNode` | `setActionListener(java.lang.String value)`
    `SYSTEMTRAYMENUITEMNode` | `setAdapterbinding(java.lang.String value)`
    `SYSTEMTRAYMENUITEMNode` | `setAttributemacro(java.lang.String value)`
    `SYSTEMTRAYMENUITEMNode` | `setComment(java.lang.String value)`
    `SYSTEMTRAYMENUITEMNode` | `setConfiginfo(java.lang.String value)`
    `SYSTEMTRAYMENUITEMNode` | `setEnabled(boolean value)`
    `SYSTEMTRAYMENUITEMNode` | `setEnabled(java.lang.String value)`
    `SYSTEMTRAYMENUITEMNode` | `setId(java.lang.String value)`
    `SYSTEMTRAYMENUITEMNode` | `setReference(java.lang.String value)`
    `SYSTEMTRAYMENUITEMNode` | `setRendered(boolean value)`
    `SYSTEMTRAYMENUITEMNode` | `setRendered(java.lang.String value)`
    `SYSTEMTRAYMENUITEMNode` | `setStylevariant(java.lang.String value)`
    `SYSTEMTRAYMENUITEMNode` | `setText(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SYSTEMTRAYMENUITEMNode

          public SYSTEMTRAYMENUITEMNode()

  - ### Method Detail

    - #### setId

          public SYSTEMTRAYMENUITEMNode setId(java.lang.String value)

    - #### setActionListener

          public SYSTEMTRAYMENUITEMNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public SYSTEMTRAYMENUITEMNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public SYSTEMTRAYMENUITEMNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public SYSTEMTRAYMENUITEMNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public SYSTEMTRAYMENUITEMNode setAttributemacro(java.lang.String value)

    - #### setComment

          public SYSTEMTRAYMENUITEMNode setComment(java.lang.String value)

    - #### bindComment

          public SYSTEMTRAYMENUITEMNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SYSTEMTRAYMENUITEMNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SYSTEMTRAYMENUITEMNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public SYSTEMTRAYMENUITEMNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public SYSTEMTRAYMENUITEMNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public SYSTEMTRAYMENUITEMNode setEnabled(boolean value)

    - #### setReference

          public SYSTEMTRAYMENUITEMNode setReference(java.lang.String value)

    - #### setRendered

          public SYSTEMTRAYMENUITEMNode setRendered(java.lang.String value)

    - #### bindRendered

          public SYSTEMTRAYMENUITEMNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SYSTEMTRAYMENUITEMNode setRendered(boolean value)

    - #### setStylevariant

          public SYSTEMTRAYMENUITEMNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SYSTEMTRAYMENUITEMNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public SYSTEMTRAYMENUITEMNode setText(java.lang.String value)

    - #### bindText

          public SYSTEMTRAYMENUITEMNode bindText(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.